#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB
pkill faster_file2rhb

###############################################################
#
#  Display data file content summary
#
#  see in the file :
#	label 1 and 2 are QDC
# 	label 1001 and 1002 are counter ("QDC_COUNTER")
#	label 2001 and 2002 are oscillo
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../qdc_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 1000 Hz
#     => 0.001s delay (1/1000)
#     => processus in background (&)
#

faster_file2rhb  ../../qdc_data_0001.fast  0.001 &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc	    	    ->  RHB default behaviours
#      DISCRI-TOF.pid       ->  faster data declaration
#      DISCRI-TOF.facqConf  ->  histograms declaration
#      DISCRI-TOF.rhvConf   ->  visualisation configuration
#

RHB  -r









###############################################################

pkill faster_file2rhb



